<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@workgrid/micro-app](./micro-app.md) &gt; [MicroApp](./micro-app.microapp.md) &gt; [showDetail](./micro-app.microapp.showdetail.md)

## MicroApp.showDetail() method

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Show the detail with the given url and optional title. The page shown must also be configured as a micro app, otherwise an error will be thrown.

<b>Signature:</b>

```typescript
showDetail({ url, title }: {
        url: string;
        title?: string;
    }): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  { url, title } | { url: string; title?: string; } |  |

<b>Returns:</b>

void

